package com.ruoyi.bid.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资质管理对象 bid_my_zizhi
 * 
 * @author ruoyi
 * @date 2025-12-11
 */
public class BidMyZizhi extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 文档id */
    @Excel(name = "文档id")
    private String documentId;

    /** 编码 */
    @Excel(name = "编码")
    private String documentCode;

    /** 证书名称 */
    @Excel(name = "证书名称")
    private String documentName;

    /** 评级 */
    @Excel(name = "评级")
    private String documentRate;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 级别值 */
    @Excel(name = "级别值")
    private String level;

    /** 长期有效(0否,1是) */
    @Excel(name = "长期有效(0否,1是)")
    private String longLalid;

    /** 证书图片 */
    @Excel(name = "证书图片")
    private String relatePhoto;

    /** 状态(0,1,2) */
    @Excel(name = "状态(0,1,2)")
    private String status;

    /**  */
    @Excel(name = "")
    private String tempId;

    /** 租户代码 */
    @Excel(name = "租户代码")
    private String tenantCode;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setDocumentId(String documentId) 
    {
        this.documentId = documentId;
    }

    public String getDocumentId() 
    {
        return documentId;
    }

    public void setDocumentCode(String documentCode) 
    {
        this.documentCode = documentCode;
    }

    public String getDocumentCode() 
    {
        return documentCode;
    }

    public void setDocumentName(String documentName) 
    {
        this.documentName = documentName;
    }

    public String getDocumentName() 
    {
        return documentName;
    }

    public void setDocumentRate(String documentRate) 
    {
        this.documentRate = documentRate;
    }

    public String getDocumentRate() 
    {
        return documentRate;
    }

    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }

    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }

    public void setLevel(String level) 
    {
        this.level = level;
    }

    public String getLevel() 
    {
        return level;
    }

    public void setLongLalid(String longLalid) 
    {
        this.longLalid = longLalid;
    }

    public String getLongLalid() 
    {
        return longLalid;
    }

    public void setRelatePhoto(String relatePhoto) 
    {
        this.relatePhoto = relatePhoto;
    }

    public String getRelatePhoto() 
    {
        return relatePhoto;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public void setTempId(String tempId) 
    {
        this.tempId = tempId;
    }

    public String getTempId() 
    {
        return tempId;
    }

    public void setTenantCode(String tenantCode) 
    {
        this.tenantCode = tenantCode;
    }

    public String getTenantCode() 
    {
        return tenantCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("documentId", getDocumentId())
            .append("documentCode", getDocumentCode())
            .append("documentName", getDocumentName())
            .append("documentRate", getDocumentRate())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("level", getLevel())
            .append("longLalid", getLongLalid())
            .append("relatePhoto", getRelatePhoto())
            .append("status", getStatus())
            .append("tempId", getTempId())
            .append("tenantCode", getTenantCode())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
